<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.inspection.mapper.InspectionEquInfoMapper">




    <select id="selectInspectionEquInfoList" parameterType="cn.iocoder.yudao.module.inspection.entity.InspectionEquInfo" resultType="cn.iocoder.yudao.module.inspection.entity.InspectionEquInfo">
        select  * from inspection_equ_info
        <where>
            <if test="equName != null  and equName != ''"> and equ_name like concat('%', #{equName}, '%')</if>
            <if test="equModel != null  and equModel != ''"> and equ_model like concat('%', #{equModel}, '%')</if>
            <if test="equNumber != null  and equNumber != ''"> and equ_number like concat('%', #{equNumber}, '%')</if>
            <if test="params.beginNextCheckTime != null and params.beginNextCheckTime != '' and params.endNextCheckTime != null and params.endNextCheckTime != ''"> and next_check_time between #{params.beginNextCheckTime} and #{params.endNextCheckTime}</if>
        </where>
    </select>

    <select id="selectInspectionEquInfoById"  resultType="cn.iocoder.yudao.module.inspection.entity.InspectionEquInfo">
      select  * from inspection_equ_info
        where id = #{id}
    </select>

</mapper>
